Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.Type

    java.lang.Object
      java.lang.Enum<Sms.Type>
          com.skype.api.Sms.Type

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Sms.Type>

Enclosing class:
  Sms

    public static enum Sms.Type

extends java.lang.Enum<Sms.Type>
implements EnumConverting

Enum Constant Summary
`CONFIRMATION_CODE_REQUEST` a message requesting a SMS confirmation code be sent to the number provided
`CONFIRMATION_CODE_SUBMIT` a message returning the SMS confirmation code received as a result of a CONFIRMATION_CODE_REQUEST to authorize it
`OUTGOING` a normal outgoing SMS message

Field Summary
`static int` | `CONFIRMATION_CODE_REQUEST_VALUE`
`static int` | `CONFIRMATION_CODE_SUBMIT_VALUE`
`static int` | `OUTGOING_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Sms.Type` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Sms.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OUTGOING

    public static final Sms.Type OUTGOING

  a normal outgoing SMS message

### CONFIRMATION_CODE_REQUEST

    public static final Sms.Type CONFIRMATION_CODE_REQUEST

  a message requesting a SMS confirmation code be sent to the number provided

### CONFIRMATION_CODE_SUBMIT

    public static final Sms.Type CONFIRMATION_CODE_SUBMIT

  a message returning the SMS confirmation code received as a result of a CONFIRMATION_CODE_REQUEST to authorize it

Field Detail

### OUTGOING_VALUE

    public static final int OUTGOING_VALUE

See Also:
  Constant Field Values

### CONFIRMATION_CODE_REQUEST_VALUE

    public static final int CONFIRMATION_CODE_REQUEST_VALUE

See Also:
  Constant Field Values

### CONFIRMATION_CODE_SUBMIT_VALUE

    public static final int CONFIRMATION_CODE_SUBMIT_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Sms.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.Type c : Sms.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Sms.Type get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.